<?php
class Palyazat extends Controller
{
	
	function Palyazat()
	{
		parent::Controller();
	}
	
	function index(){
		$this->kep();
	}
	
	function kep(){
		$data['tema'] = "Hónap képe";
		
		if(hun())
			$data['page'] = $this->mpages->get_row(594);
		else
			$data['page'] = $this->mpages->get_row(623);
		
		if( hun() )
			$data['title'] = 'ARCHLine.XP A hónap képe pályázat, képek beküldése';
		else
			$data['title'] = 'ARCHLine.XP - Picture of the month, send pictures';
		
		$data['tartalom']='palyazat/kep';
		$data['csik']=array('home','palyazat');
		$this->load->view('site',$data);
	}
	
	function zsuri(){
		$data['tema'] = "Zsűritag";
		
		if(hun())
			$data['page'] = $this->mpages->get_row(593);
		else
			$data['page'] = $this->mpages->get_row(622);
		
		$data['title'] = hun() ? 'ARCHLine.XP A hónap képe pályázat, zsűritag jelentkezés' : 'ARCHLine.XP The Pictures of the Month jury';
		$data['tartalom']='palyazat/jelentkezes';
		$data['csik']=array('home','palyazat');
		$this->load->view('site',$data);
	}
	
	function submit(){
		$this->load->model('mclusers');
		
		foreach($_POST as $k=>$v)
			$$k = $v;
		
		
		if($subject != "Zsűritag" && $subject != "ZsÅ±ritag" ){
			
			// a kov. honaphoz tegye, ha nagyon kesve kuldik be
			$pluszban = 60*60*24*6;
			$hova = PATH_WEBSITE.'public/img/honapkepe/'.date('Ym',(time()+$pluszban));
			
			if(!is_dir($hova)){
				mkdir($hova,0644);
				chmod($hova,0777);
				
				mkdir($hova.'/thumbs',0644);
				chmod($hova.'/thumbs',0777);
			}
			
			$kep = $error = "";
			
			$hovakep = $hova.'/';
			
			include('application/helpers/sajatfeltolto.php');
			include('application/helpers/myimg_helper.php');
			for($i=1;$i<=3;$i++){
				$asd = "kep".$i;
				$renderelo = "render".$i;
				
				if(isset($_FILES, $_FILES[$asd]['name']) && $_FILES[$asd]['name'] != ''){
					$ered = feltolt($asd,$hovakep,$name."_-_".$_FILES[$asd]['name'],'irasjel');
					if($ered){
						$info = basename($ered)." renderelo: ".$$renderelo;
						$kep .= $i.". ".lang("kt_kep").": ".basename($ered).", ".lang('hk_rendpro').": ".$$renderelo."<br> ";
						
						//exec('convert -resize 150 '.$ered.' '.$hovakep.'/thumbs/'.basename($ered));
						kemeretezesvagassh($ered,$hovakep.'/thumbs/'.basename($ered),150,113);
						exec('echo "'.$info.'" >> '.$hovakep.'/renderelok.txt');
						
						// ha nem jott letre kis kep, akkor 444-re allitani a fajl jogokat
						if( !file_exists($hovakep.'/thumbs/'.basename($ered)) ){
							chmod($hovakep.$name."_-_".$_FILES[$asd]['name'],0444);
							$kep .= "<b>Hibás kép!</b><br><br>";
							$error .= "<b>Hibás kép: ".$_FILES[$asd]['name']."</b><br><br>";
						}
						
					}
					else
						$kep .= $i.". kép feltöltési hiba: ".$name."_".$_FILES[$asd]['name']."<br> ";
				}else{
					if(hun())
						$kep .= "nincs ".$i.". kép<br> ";
					else
						$kep .= "no ".$i.". image<br />";
				}
			}
			
			
			$message .= "<br><br><br><strong>".lang("kt_kepek_level").":</strong><br><br>".$kep;
		}
		
		
		$nUserID = $this->mclusers->get_nUserIDByEmail($email);
		
		$message = preg_replace("/ő/", "&#337;", $message);
		$message = preg_replace("/ű/", "&#369;", $message);
		
		if($nUserID > 0){
			/*$message2 = str_replace("ő","õ",$message);
			$message2 = str_replace("ű","û",$message);*/
			if($subject == "Zsűritag"){
				if(UJUGYFELKEZELO===true)
					$this->mclusers->addEvent($nUserID, 124, '"'.preg_replace("/<.+>/Usi", "", $message).'"');
				else
					$this->mclusers->addEvent($nUserID, 119, '"'.preg_replace("/<.+>/Usi", "", $message).'"');
			}
			elseif($subject == "Hónap képe"){
				if(UJUGYFELKEZELO===true)
					$this->mclusers->addEvent($nUserID, 39, '"'.preg_replace("/<.+>/Usi", "", $message).'"');
				else
					$this->mclusers->addEvent($nUserID, 120, '"'.preg_replace("/<.+>/Usi", "", $message).'"');
			}
		}
		
		if(!hun()){
			if($subject == "Hónap képe" || $subject == "HÃ³nap kÃ©pe" ){
				$subject = "Picture of the month";
				$eleje = lang("kt_kedves")." ".$name.lang("kt_kitoltottadatok")."<br /><br />";
			}elseif($subject == "Zsűritag" || $subject == "ZsÅ±ritag" ){
				$subject = "Picture of the month, jury";
				$eleje = lang("kt_kedves")." ".$name.lang("kt_level_zsuri")."<br /><br />";
			}
		}
		
		$mail_data = array(
			'mailcontent' => 'mail/contact',
			'name' => $name,
			'email' => $email,
			'phone' => $tel,
			'subject' => $subject,
			'message' => $message,
			'eleje' => $eleje,
			'vege' => "<br />".lang("kt_udvozlettel")
		);
		
		$this->load->library('email');
		$this->email->initialize();
		
		if(hun()){
			$emailrol = 'info@cadline.hu';
			$weboldal = "CadLine Weboldal";
			$palyazat = "Pályázat - ";
		}
		else{
			$emailrol = 'info@archlinexp.com';
			$weboldal = "CadLine Website";
			$palyazat = "Competition - ";
		}
		
		$this->email->from($emailrol, $weboldal);
		$this->email->subject($palyazat.$subject);
		$this->email->message($this->load->view('mail/contact', $mail_data, true));
		// csak akkor kuldjon levelet, ha nem toltottek ki az url mezot
		if( !$url )
			$this->email->send($emailrol, 'smtp');	
	//		$this->email->send("sztikee@gmail.com", 'smtp');
		
		//Kintre:
		$this->email->clear();
		
		$this->email->from($emailrol, $weboldal);
		$this->email->subject($palyazat.$subject);
		$this->email->message($this->load->view('mail', $mail_data, true));
		// csak akkor kuldjon levelet, ha nem toltottek ki az url mezot
		if( !$url )
			$this->email->send($email,'smtp');
	//	$this->email->send("sztikee@gmail.com", 'smtp');
		
		$record->osztaly = "palyazat";
		$record->fv = "submit";
		$record->hiba = $subject."\n".$name."\n".$email."\n".$tel."\n".$message."\n".$_SERVER['REMOTE_ADDR']."\nurl: ".$url;
		$record->datum = date('Y-m-d H:i:s',time());
		$this->db->insert('a_hibak',$record);
		
		$data['title'] = hun() ? 'Jelentkezés' : 'Jelentkezés';
		$data['tartalom'] = 'forum/kiir';
		$data['csik']=array('home');
		
		$data['info'] = "<div style='text-align: center; font-size: 1.3em;'>".lang('contact_elkuldve').lang('kt_kepbekuldutan')."<br /><br /><span style='color: red;'>".$error."</span></div>";
		
		$this->load->view('site',$data);
	}
	
	function kepek(){
		$honap = $this->uri->segment(3);
		
		$record->osztaly = "palyazat";
		$record->fv = "kepek";
		$record->datum = date('Y-m-d H:i:s',time());
		
		$kivhonap = $this->uri->segment(3);
		$kivev    = (2011 + (int)($kivhonap/12.00009));
		$hoplusz  = 12*(int)($kivhonap/12.00009);
		
		// 23-a előtt senki se nézegesse a beküldött képeket
		if (   false &&        date('j',time()) <= 23 ){		// 2013. 11. 28.: Megint hónap elején lesz zsűrizés, feltétel kihagyva - Eszter
			
			$record->hiba = "Valaki kivancsiskodik: ".$_SERVER['REMOTE_ADDR'].", honap: ".$honap;
			$this->db->insert('a_hibak',$record);
			
			redirect('palyazat/gallery/'.(date('m',time())-1+$hoplusz));
		} else {
			$record->hiba = "Valaki jogosan kivancsiskodik: ".$_SERVER['REMOTE_ADDR'].", honap: ".$honap;
			$this->db->insert('a_hibak',$record);
		}
		
		
		$kivhonap = (($kivhonap-1)%$hoplusz+1);
//print "utvonal: ".'/var/www/hosting/cadline.hu/www/public/img/honapkepe/'.$kivev.'0'.$kivhonap;
		
		if($kivhonap > 9)
			$kepek = scandir('/var/www/hosting/cadline.hu/www/public/img/honapkepe/'.$kivev.''.$kivhonap);
		else
			$kepek = scandir('/var/www/hosting/cadline.hu/www/public/img/honapkepe/'.$kivev.'0'.$kivhonap);
		$data['kepek'] = $kepek;
		
		$data['style'] = array('fancybox2');
		$data['javascript'] = array('fancybox/jquery-1.3.2.min','fancybox/jquery.easing.1.3','fancybox/jquery.fancybox-1.2.1.pack','fancybox/fancy');
		
		$data['title'] = 'ARCHLine.XP Pályázati munkák';
		$data['tartalom']='palyazat/kepek';
		$data['csik']=array('home','palyazat');
		$this->load->view('site',$data);
		
	}
	
	function gallery(){
		// ha nem magyar
		if(!hun()){
			$link = "http://www.archlinexp.com/monthpicture/gallery/".$this->uri->segment(3);
			if( $this->uri->segment(4)!="" )
				$link .= "/".$this->uri->segment(4);
			Header("Location: ".$link);
			exit;
		}
		
		// ha van e-mail
		$email = $this->uri->segment(4);
		if( $email && !is_numeric($email) ){
			
			$this->load->model('mclusers');
			
			$gal_honap = $this->uri->segment(3);
			
			// email atalakitasa
			$temptomb = explode("/", $_SERVER[ 'REQUEST_URI'] );
			$email = str_replace("%40","@",end($temptomb));
			
			
			$egyezes = "palyazat/gallery/".$gal_honap;
			$info = "Galéria megtekintve: http://archline.hu/palyazat/gallery/".$gal_honap;
			$hibainfo = "Hun, hónap képe: ".$gal_honap;
			
			if(UJUGYFELKEZELO===true)
				$this->mclusers->levelesemeny($email, "palyazat", "gallery2", 65, $egyezes, $info, "hun", $hibainfo);
			else
				$this->mclusers->levelesemeny($email, "palyazat", "gallery2", 128, $egyezes, $info, "hun", $hibainfo);
			
			$user = $this->phpsession->get('user');
			$user['voltmobiloldal'] = true;
			$this->phpsession->save('user',$user);
			
			redirect("palyazat/gallery/".$gal_honap);
			return;
		}
		
		
		$this->load->model('mgallery');
		$data['tema'] = "Hónap képe";
		$data['page'] = $this->mpages->get_row(594);
		
		$honap = $this->uri->segment(3);
		
		// a legfrissebb / aktuális hónapra irányít
		if( !is_numeric($honap) || $honap<6 ){
			redirect('palyazat/gallery/'.(date('m',time())-1+48));
			//redirect('palyazat/gallery/'.(date('m',time())-1+36));
			
		}else{
			// 26-áig nem lehet megnézni a képeket. (ha a hónap végén küldik, akkor a következő hónaphoz kerül a kép)
			//if( (date('m',time()) <= ($honap-36) && date('j',time()) < 26) )
			//	redirect('palyazat/gallery/'.(date('m',time())-1+36));
			if( (date('m',time()) <= ($honap-48) && date('j',time()) < 26) )
				redirect('palyazat/gallery/'.(date('m',time())-1+48));
			
			$data['galeria'] = $this->mgallery->get_rowHonapSorszam($honap, 'hun');
		}
		
		// amíg nincs feltölve, nem lehet megnézni
		if(!$data['galeria']){
			//redirect('palyazat/gallery/'.(date('m',time())-1+35));
			redirect('palyazat/gallery/'.(date('m',time())-1+47));
		}
		
		
		$data['javascript'] = array(
								'fancybox/jquery-1.3.2.min',
								'fancybox/jquery.easing.1.3',
								'fancybox/jquery.fancybox-1.2.1.pack',
								'fancybox/fancy',
								'lnkbuilding-hun'
							);
		
		$data['style'] = array('fancybox_gal');
		
		$honapnevek = lang('honapok');
		
		$kivhonap = (($honap-1)%12+1);
		$ev       = 2011 + (int)(($honap-0.1)/12);
		$data['mobilink'] = "/mobile/gallerymonth/".$honap;
		$data['title'] = 'ARCHLine.XP - A hónap képe pályázat galéria, '.$ev." ".$honapnevek[$kivhonap];
		$data['tartalom']='palyazat/gallery';
		$data['csik']=array('home','palyazat');
		$this->load->view('site_new',$data);
	}
	
	// szavazás - év képe
	function evkepe2012(){
		
		if( time() > 1360969200 ){
			//$this->evekepeeredmeny();
			redirect('palyazat/evekepeeredmeny');
			return;
		}
		
		$honapok = $this->db->query("SELECT * FROM gallerys WHERE terulet='honapkepe' AND sorszam>=13 AND sorszam<=24 ORDER BY sorszam ASC")->result();
		
		$data['javascript'] = array(
								'fancybox/jquery-1.3.2.min',
								'fancybox/jquery.easing.1.3',
								'fancybox/jquery.fancybox-1.2.1.pack',
								'fancybox/fancy',
								'lnkbuilding-hun'
							);
		
		$data['style'] = array('fancybox_gal');
		
		$data['honapok'] = $honapok;
		$data['title']   = 'ARCHLine.XP - 2012 év képe szavazás';
		$data['tartalom']='palyazat/evkepeszavazas2';
		$this->load->view('site_new',$data);
	}
	
	// szavazás utáni eredmény
	function evekepeeredmeny(){
		$t['honap'] = $this->input->post('honap');
		$t['ip']    = $_SERVER['REMOTE_ADDR'];
		$t['datum'] = date('Y-m-d H:i:s',time());
		
		// szavaztak-e mar errol az ip-rol
		if($this->input->post('honap')){
			$ered = $this->db->query("SELECT count(ip) db FROM evkepevoksok WHERE ip='{$t['ip']}'")->row();
			
			if( $ered->db > 0 ){
				$valasz = lang('ek_valhiba');
			}else{
				$valasz = lang('ek_koszonj');
				$this->db->insert('evkepevoksok',$t);
			}
		}else
			$valasz = "";
		
		$szavazas = $this->db->query("SELECT honap, count(honap) darab FROM evkepevoksok GROUP BY honap")->result();
		
		
		
		$honapok = $this->db->query("SELECT * FROM gallerys WHERE terulet='honapkepe' AND sorszam>=13 AND sorszam<=24 ORDER BY sorszam ASC")->result();
		
		$data['javascript'] = array(
								'fancybox/jquery-1.3.2.min',
								'fancybox/jquery.easing.1.3',
								'fancybox/jquery.fancybox-1.2.1.pack',
								'fancybox/fancy',
								'lnkbuilding-hun'
							);
		
		$data['style'] = array('fancybox_gal');
		
		
		
		$data['szavazas'] = $szavazas;
		$data['honapok'] = $honapok;
		$data['valasz']   = $valasz;
		$data['title']    = 'ARCHLine.XP - 2012 év képe szavazatok állása';
		$data['tartalom'] = 'palyazat/evkepeallas';
		$this->load->view('site_new',$data);
		
	}

	// végleges eredmény
	function nyertes2012(){
		$data['javascript'] = array(
								'fancybox/jquery-1.3.2.min',
								'fancybox/jquery.easing.1.3',
								'fancybox/jquery.fancybox-1.2.1.pack',
								'fancybox/fancy',
								'lnkbuilding-hun'
							);
		$data['style'] = array('fancybox_gal');
		
		$ossz=0;
		$szavazatok = $this->cache->get('evkepe-szavazatok');
		$honapszavazatok = $this->cache->get('evkepe-honapszavazatok');
		
		if( !$szavazatok || !$honapszavazatok ){
			$szavazatok = $this->db->query("SELECT honap, count(honap) darab, kezdo, cim FROM evkepevoksok LEFT JOIN gallerys ON sorszam=honap WHERE terulet='honapkepe' GROUP BY honap ORDER BY honap ASC")->result();
			
			$honapszavazatok = array();
			foreach($szavazatok as $szavazat){
				$honapszavazatok[(($szavazat->honap)-13)] = $szavazat->darab;
				$ossz += $szavazat->darab;
			}
			
			$this->cache->write($szavazatok, 'evkepe-szavazatok', 60*60*24);
			$this->cache->write($honapszavazatok, 'evkepe-honapszavazatok', 60*60*24);
		}else{
			foreach($honapszavazatok as $ho){ $ossz += $ho; }
		}
		
		$data['szavazatok'] = $szavazatok;
		$data['szavazas'] = $honapszavazatok;
		$data['osszes']   = $ossz;
		$data['m_og']     = true;
		$data['title']    = hun() ? 'ARCHLine.XP - 2012 év képe' : 'ARCHLine.XP - Picture of the year 2012';
		$data['tartalom'] = 'palyazat/nyertes';
		$this->load->view('site_new',$data);
		
	}
	
		//-------------------DESIGN A TERASZON--------------------------
	
	function designateraszon() {
		$funkciovege = $this->uri->rsegment(3);
		
		switch($funkciovege){
			case "szavazas":
			case "voting":
				$funkciovege =  "szavazas";
				break;
			case "eredmeny":
			case "result":
				$funkciovege =  "eredmeny";
				break;
		}
		
		$funkcio = "designateraszon".$funkciovege;
		$this->$funkcio();
	}
	
	function designateraszonbekuldes(){
		$data['tema'] = "Design a teraszon";
		if(hun())
			$data['page'] = $this->mpages->get_row(875);
		else
			$data['page'] = $this->mpages->get_row(882);
		
		if( hun() )
			$data['title'] = 'ARCHLine.XP "Bár a város tetején" pályázat, képek beküldése';
		else
			$data['title'] = 'ARCHLine.XP - Rooftop bar design competition, send pictures';
		
		$data['tartalom'] = 'palyazat/designateraszonbekuldes';
		$data['csik']     = array('home','palyazat');
		$this->load->view('site_simple',$data);
	}
	
	// design a teraszon kiiras
	function designateraszonpalyazat(){
		if( hun() || $_SERVER['SERVER_NAME'] == 'old.archline.hu' )
		{
			$data['title'] = 'ARCHLine.XP "Design a teraszon" pályázat, képek beküldése';
			$data['page'] = $this->mpages->get_row(876);
		}
		else
		{
			$data['title'] = 'ARCHLine.XP - Rooftop bar design competition, send pictures';
			$data['page'] = $this->mpages->get_row(877);
		}
		$data['tartalom'] = 'palyazat/designateraszonpalyazat';
		$data['csik']=array('home','palyazat');
		$this->load->view('site_simple',$data);
		return;
	}
	
	// design a teraszon beküldés - submit
	function designateraszonsubmit(){
		$this->load->model('mclusers');
		include('application/helpers/sajatfeltolto.php');
		
		foreach($_POST as $k=>$v)
			$$k = $v;
		
		$idoszak = (time() < 1408665600) ? 1 : 2;		// 2014. 08. 22. 00:00
		// a köv. időszakhoz tegye, ha szavazási időben küldik be
		$hova = "/var/www/hosting/cadline.hu/www/public/img/designateraszon/{$idoszak}/";
		if(!is_dir($hova)){
			mkdir($hova,0644);
			chmod($hova,0777);
			
			mkdir($hova.'/thumbs',0644);
			chmod($hova.'/thumbs',0777);
		}
		
		$kep = $error = "";
		$hovakep = $hova.'/';

		for($i=1;$i<=4;$i++){
			$asd = "kep".$i;
			$renderelo = "render".$i;

			if(isset($_FILES, $_FILES[$asd]['name']) && $_FILES[$asd]['name'] != ''){
				$ered = feltolt($asd,$hovakep,$name."_-_".$_FILES[$asd]['name'],false);
				if($ered){
					$info = basename($ered)." renderelo: ".$$renderelo;
					$kep .= $i.". ".lang("kt_kep").": ".basename($ered).", ".lang('hk_rendpro').": ".$$renderelo."<br> ";
					
					exec("convert '{$ered}' -resize 150x113^  -gravity Center -crop 150x113+0+0 +repage '{$hovakep}/thumbs/".basename($ered)."'");
					exec('echo "'.$info.'" >> '.$hovakep.'/renderelok.txt');
					
					// ha nem jott letre kis kep, akkor 444-re allitani a fajl jogokat
					if( !file_exists($hovakep.'/thumbs/'.basename($ered)) ){
						chmod($hovakep.$name."_-_".$_FILES[$asd]['name'],0444);
						$kep .= "<b>Hibás kép!</b><br><br>";
						$error .= "<b>Hibás kép: ".$_FILES[$asd]['name']."</b><br><br>";
					}
					
				}
				else
					$kep .= $i.". kép feltöltési hiba: ".$name."_".$_FILES[$asd]['name']."<br> ";
			}else{
				if(hun())
					$kep .= "nincs ".$i.". kép<br> ";
				else
					$kep .= "no ".$i.". image<br />";
			}
		}
		
		
		$message .= "<br><br><br><strong>".lang("kt_kepek_level").":</strong><br><br>".$kep;
		
		$nUserID = $this->mclusers->get_nUserIDByEmail($email);
		
		if($nUserID > 0){
			$topicid = hun() ? 292 : 293;
			$this->mclusers->addEvent($nUserID, $topicid, '"'.preg_replace("/<.+>/Usi", "", $message).'"');
		}
		
		if( hun() )
		{
			$message .= "<br>
			Kedves Pályázónk!<br><br>
			Köszönjük,hogy beküldted versenyünkre fotórealisztikus látványterveidet!<br>
			A nyilvános online szavazás a beérkezett pályaművekből az ARCHLine.XP Facebook oldalán 2014. augusztus 22-én indul és szeptember 18-ig tart.<br>
			<br><strong>Eredményhirdetés:</strong><br>
			A pályázat eredményének kihirdetésére 2014. szeptember 22-én, az ARCHLine.XP hivatalos Facebook-oldalán kerül sor.<br>
			<br>
			<strong>A beérkezett Pályázatokból két győztest hirdetünk:</strong><br>
			<br>
			I. Nyilvános online szavazás az ARCHLine.XP Facebook oldalán 2014. augusztus 22. – szeptember 18. között.<br>
			A legtöbb like-ot gyűjtő munka elnyeri a „Bár a város tetején Design Pályázat - Közönség Díj” címet.<br>
			II. Szakemberekből álló zsűri állapítja meg, hogy melyik pályázat nyeri el Az év „Bár a város tetején” terve – címet.<br>
			<br>
			<strong>Nyeremények:</strong><br>
			Szakmai zsűri első helyezett : Dorka Petrity Táska  és 1 x Interior Design Workshop<br>
			Online szavazás első helyezett : Dorka Petrity Táska és 1 x Interior Design Workshop<br>
			Egyéb szakmailag kiemelt munkák (2. és 3. helyezett): 2 x Interior Design Workshop<br>
			<br>
			A pályázattal kapcsolatos esetleges kérdéseiddel fordulj hozzánk bizalommal!<br>
			<br>
			Sok sikert kívánunk!<br>
			<br>
			Üdvözlettel:<br>
			Józsa Tímea<br>
			Értékesítési asszisztens<br>
			Tel: +36 1-388-9733 | E-mail: jozsa.timea@cadline.hu<br>";
		}
		else
		{
			$message .= "<br>
			<strong>Dear applicant,</strong><br><br>

			Thank you for uploading the photorealistic images for our Rooftop Bar competition!<br>

			<strong>Two winners will be announced from the received projects:</strong><br>

			I. PUBLIC: The winner picture will be the most liked picture by the public on our Facebook page.<br>
			Vote for the best Roof Top Bar Design online on our Facebook page between 22. August 2014 – 18. September 2014.<br>

			II. PROFESSIONAL: The most gorgeous Rooftop Bar rendered image created with ARCHLine.XP Interior design software will be selected by a three-person jury.<br>
			The members of the jury: an architect, an interior designer and a fellow CadLine Network Ltd. colleague.<br>

			III. Additional best plans selected by the jury (2-3 runner ups)<br>

			The jury members will be selected by lot as a guarantee of impartiality.<br>

			<strong>Announcement of the winners</strong><br>

			<strong>The results of the competition will be announced: 22. September 2014</strong> on the official Facebook page of ARCHLine.XP and also on the official homepage of ARCHLine.XP. (www.archlinexp.com)<br>

			Promoter reserves the right to publish the winner's name, submitted work. The competition is valid when minimum three candidate's application is received.<br>
			Prizes / Winners<br>
			<br>
			• Audience Award: The Best Rooftop Bar voted on Facebook:<br>
			Dorka Petrity Bag and 1 x Interior Design Workshop Online.<br>
			<br>
			• The best 'Rooftop Bar Design' selected by the jury will win:<br>
			Dorka Petrity Bag and 1 x Interior Design Workshop Online.<br>
			<br>
			• Additional best plans selected by the jury (2-3 runner ups): 2 x Interior Design Workshop Online (which provides a sound basic for professional learning computer-aided design).<br>
			<br>
			The prize is non-exchangeable, non-transferable, and is not redeemable for cash or other prizes.<br>

			<br><strong>Kitti Tóth</strong><br>
			Sales Manager<br>
			 
			Tel: +44 20 88168643 | E-mail: kitti.toth@archlinexp.com <br>";
		}
		if(!hun()){
			$subject = "Design";
			$eleje = lang("kt_kedves")." ".$name.lang("kt_kitoltottadatok")."<br /><br />";
		}
		
		$mail_data = array(
			'mailcontent' => 'mail/contact',
			'name' => $name,
			'email' => $email,
			'phone' => $tel,
			'subject' => $subject,
			'message' => $message,
			'eleje' => $eleje,
			'vege' => "<br />".lang("kt_udvozlettel")
		);
		
		$this->load->library('email');
		$this->email->initialize();
		
		if(hun()){
			$emailrol = 'info@cadline.hu';
			$weboldal = "CadLine Weboldal";
			$palyazat = "Pályázat - ";
		}
		else{
			$emailrol = 'info@archlinexp.com';
			$weboldal = "CadLine Website";
			$palyazat = "Competition - ";
		}
		
		$this->email->from($emailrol, $weboldal);
		$this->email->subject($palyazat.$subject);
		$this->email->message($this->load->view('mail/contact', $mail_data, true));
//    csak akkor kuldjon levelet, ha nem toltottek ki az url mezot
		if( !$url ) $this->email->send($emailrol, 'smtp');
		
		//Kintre:
		$this->email->clear();
		
		$this->email->from($emailrol, $weboldal);
		$this->email->subject($palyazat.$subject);
		$this->email->message($this->load->view('mail', $mail_data, true));
		// csak akkor kuldjon levelet, ha nem toltottek ki az url mezot
		if( !$url )
			$this->email->send($email,'smtp');
		
		$record->osztaly = "palyazat";
		$record->fv = "designateraszonsubmit";
		$record->hiba = $subject."\n".$name."\n".$email."\n".$tel."\n".$message."\n".$_SERVER['REMOTE_ADDR']."\nurl: ".$url;
		$record->datum = date('Y-m-d H:i:s',time());
		$this->db->insert('a_hibak',$record);
		
		$data['title'] = hun() ? 'Jelentkezés' : 'Jelentkezés';
		$data['tartalom'] = 'forum/kiir';
		$data['csik']=array('home');
		
		$data['info'] = "<div style='text-align: center; font-size: 1.3em;'>".lang('contact_elkuldve').lang('kt_kepbekuldutan')."<br /><br /><span style='color: red;'>".$error."</span></div>";
		
		$this->load->view('site',$data);
	}
	
	// szavazás - design a teraszon
	function designateraszonszavazas(){
		$idoszak = 2;
		
		if( time() < strtotime('2014-09-30') ){
			$dir   = "public/img/designateraszon/{$idoszak}/";
			if($this->uri->segment(3) != ""){
				$kategoria = $this->uri->segment(3);
				switch($kategoria){
					case "amator":
					case "amature":
						$kategoria =  "amator";
						break;
					case "felhasznalo":
					case "user":
						$kategoria =  "felhasznalo";
						break;
				}
				$dir .= $kategoria."/";
			}
			$dirth = $dir."thumbs/";
			$kepek = scandir($dirth);
			unset($kepek[0],$kepek[1]);
			
			$data['javascript'] = array(
									'fancybox/jquery-1.3.2.min',
									'fancybox/jquery.easing.1.3',
									'fancybox/jquery.fancybox-1.2.1.pack',
									'fancybox/fancy',
									'lnkbuilding-hun'
								);
			
			$data['style'] = array('fancybox_gal');
			
			$data['dir']     = $dir;
			$data['kepek']   = $kepek;
			$data['kategoria'] = $kategoria;
			$data['title']   = 'ARCHLine.XP - design a teraszon szavazás';
			$data['tartalom']='palyazat/designateraszonszavazas';
			$this->load->view('site_new',$data);
		}
		else{
			print "nincs szavazási időszak";
			return;
		}
	}
	
	// szavazat elküldése - design a teraszon
	function designateraszoneredmeny(){
		$t['kep']     = $this->input->post('kep');
		$t['idoszak'] = (time() < 1409270400 ) ? 1 : 2;		// 2014. 08. 29. 00:00
		$t['ip']      = $_SERVER['REMOTE_ADDR'];
		$t['datum']   = date('Y-m-d H:i:s',time());
		$t['kategoria'] = $this->input->post('kategoria');
		$t['info']    = print_r($_SERVER,true);
		
		// szavaztak-e mar errol az ip-rol ebben a kategoriaban
		if( $this->input->post('kep')  &&  time()<strtotime('2014-09-30 12:00:00') ){
			//$ered = $this->db->query("SELECT count(ip) db FROM tszvoksok WHERE ip='{$t['ip']}' AND kategoria='{$t['kategoria']}'")->row();
			$ered = $this->db->query("SELECT count(ip) db FROM designateraszonvoksok WHERE ip='{$t['ip']}' AND kategoria='{$t['kategoria']}'")->row();
			
			if( $ered->db > 0 ){
				$valasz = lang('ek_valhiba');
			}else{
				$valasz = lang('ek_koszonj');
				$this->db->insert('designateraszonvoksok',$t);
			}
		}else
			$valasz = "";
		
		
		$kategoria = $this->uri->segment(3);
		$dir   = "public/img/designateraszonszabadon/{$t['idoszak']}/";
		if($kategoria){
			switch($kategoria){
				case "amator":
				case "amature":
					$kategoria =  "amator";
					break;
				case "felhasznalo":
				case "user":
					$kategoria =  "felhasznalo";
					break;
			}
			$dir .= $kategoria."/";
		}
		$dirth = $dir."thumbs/";
		$kepek = scandir($dirth);
		unset($kepek[0],$kepek[1]);
		
		$szavazas = $this->db->query("SELECT kep, count(kep) darab FROM designateraszonvoksok WHERE kategoria='{$kategoria}' GROUP BY kep")->result();
		
		$data['javascript'] = array('fancybox/jquery-1.3.2.min', 'fancybox/jquery.easing.1.3', 'fancybox/jquery.fancybox-1.2.1.pack', 'fancybox/fancy');
		
		$data['style'] = array('fancybox_gal');
		
		
		$data['kategoria']= $kategoria;
		$data['dir']      = $dir;
		$data['szavazas'] = $szavazas;
		$data['kepek']    = $kepek;
		$data['valasz']   = $valasz;
		$data['title']    = 'ARCHLine.XP - Design a teraszon szavazatok állása';
		
		if( true || $_SERVER['REMOTE_ADDR'] == "87.242.17.127" || time()>strtotime("2013-12-18")  )
			$data['tartalom'] = 'palyazat/designaterszoneredmeny';
		else
			$data['tartalom'] = 'palyazat/designateraszonallas';
		$this->load->view('site_simple',$data);
	}
	
	//-------------------TERVEZZ SZABADON---------------------------
	
	// tervezz szabadon route
	function tsz(){
		$funkciovege = $this->uri->rsegment(3);
		
		switch($funkciovege){
			case "szavazas":
			case "voting":
				$funkciovege =  "szavazas";
				break;
			case "eredmeny":
			case "result":
				$funkciovege =  "eredmeny";
				break;
		}
		
		$funkcio = "tsz".$funkciovege;
		$this->$funkcio();
	}
	
	function tszsend(){
		$this->tszbekuldes();
		return;
	}
	
	// tervezz szabadon beküldés
	function tszbekuldes(){
		$data['tema'] = "Tervezz szabadon";
		
		if(hun())
			$data['page'] = $this->mpages->get_row(831);
		else
			$data['page'] = $this->mpages->get_row(833);
		
		if( hun() )
			$data['title'] = 'ARCHLine.XP "Tervezz szabadon" pályázat, képek beküldése';
		else
			$data['title'] = 'ARCHLine.XP - Feel free to design, send pictures';
		
		$data['tartalom'] = 'palyazat/tszbekuldes';
		$data['csik']     = array('home','palyazat');
		$this->load->view('site',$data);
	}
	
	// tervezz szabadon kiiras
	function tszpalyazat(){
		if( hun() )
			$data['title'] = 'ARCHLine.XP "Tervezz szabadon" pályázat, képek beküldése';
		else
			$data['title'] = 'ARCHLine.XP - Feel free to design, send pictures';
		$data['page'] = $this->mpages->get_row(832);
		$data['tartalom'] = 'palyazat/tszpalyazat';
		$data['csik']=array('home','palyazat');
		$this->load->view('site',$data);
		
		//redirect('page/show/832');
		return;
	}
	
	// tervezz szabadon beküldés - submit
	function tszsubmit(){
		if( time() > strtotime('2013-12-13') ){
			print "A pályázatra a képeket 2013. 12. 12. éjfélig lehetett beküldeni!";
			return;
		}
		
		$this->load->model('mclusers');
		include('application/helpers/sajatfeltolto.php');
		
		foreach($_POST as $k=>$v)
			$$k = $v;
		
		$idoszak = (time() < 1384729200) ? 1 : 2;		// 2013. 11. 18. 00:00
		
		// a köv. időszakhoz tegye, ha szavazási időben küldik be
		$hova = "/var/www/hosting/cadline.hu/www/public/img/tervezzszabadon/{$idoszak}/";
		
		if(!is_dir($hova)){
			mkdir($hova,0644);
			chmod($hova,0777);
			
			mkdir($hova.'/thumbs',0644);
			chmod($hova.'/thumbs',0777);
		}
		
		$kep = $error = "";
		$hovakep = $hova.'/';
		
		for($i=1;$i<=3;$i++){
			$asd = "kep".$i;
			$renderelo = "render".$i;
			
			if(isset($_FILES, $_FILES[$asd]['name']) && $_FILES[$asd]['name'] != ''){
				$ered = feltolt($asd,$hovakep,$name."_-_".$_FILES[$asd]['name'],false);
				if($ered){
					$info = basename($ered)." renderelo: ".$$renderelo;
					$kep .= $i.". ".lang("kt_kep").": ".basename($ered).", ".lang('hk_rendpro').": ".$$renderelo."<br> ";
					
					//exec('convert -resize 150 '.$ered.' '.$hovakep.'/thumbs/'.basename($ered));
					exec("convert '{$ered}' -resize 150x113^  -gravity Center -crop 150x113+0+0 +repage '{$hovakep}/thumbs/".basename($ered)."'");
					exec('echo "'.$info.'" >> '.$hovakep.'/renderelok.txt');
					
					// ha nem jott letre kis kep, akkor 444-re allitani a fajl jogokat
					if( !file_exists($hovakep.'/thumbs/'.basename($ered)) ){
						chmod($hovakep.$name."_-_".$_FILES[$asd]['name'],0444);
						$kep .= "<b>Hibás kép!</b><br><br>";
						$error .= "<b>Hibás kép: ".$_FILES[$asd]['name']."</b><br><br>";
					}
					
				}
				else
					$kep .= $i.". kép feltöltési hiba: ".$name."_".$_FILES[$asd]['name']."<br> ";
			}else{
				if(hun())
					$kep .= "nincs ".$i.". kép<br> ";
				else
					$kep .= "no ".$i.". image<br />";
			}
		}
		
		
		$message .= "<br><br><br><strong>".lang("kt_kepek_level").":</strong><br><br>".$kep;
		
		$nUserID = $this->mclusers->get_nUserIDByEmail($email);
		
		if($nUserID > 0){
			$topicid = hun() ? 274 : 275;
			$this->mclusers->addEvent($nUserID, $topicid, '"'.preg_replace("/<.+>/Usi", "", $message).'"');
		}
		
		if(!hun()){
			$subject = "Feel free to design";
			$eleje = lang("kt_kedves")." ".$name.lang("kt_kitoltottadatok")."<br /><br />";
		}
		
		$mail_data = array(
			'mailcontent' => 'mail/contact',
			'name' => $name,
			'email' => $email,
			'phone' => $tel,
			'subject' => $subject,
			'message' => $message,
			'eleje' => $eleje,
			'vege' => "<br />".lang("kt_udvozlettel")
		);
		
		$this->load->library('email');
		$this->email->initialize();
		
		if(hun()){
			$emailrol = 'info@cadline.hu';
			$weboldal = "CadLine Weboldal";
			$palyazat = "Pályázat - ";
		}
		else{
			$emailrol = 'info@archlinexp.com';
			$weboldal = "CadLine Website";
			$palyazat = "Competition - ";
		}
		
		$this->email->from($emailrol, $weboldal);
		$this->email->subject($palyazat.$subject);
		$this->email->message($this->load->view('mail/contact', $mail_data, true));
		// csak akkor kuldjon levelet, ha nem toltottek ki az url mezot
		if( !$url )
			$this->email->send($emailrol, 'smtp');
	//		$this->email->send("sztikee@gmail.com", 'smtp');
		
		//Kintre:
		$this->email->clear();
		
		$this->email->from($emailrol, $weboldal);
		$this->email->subject($palyazat.$subject);
		$this->email->message($this->load->view('mail', $mail_data, true));
		// csak akkor kuldjon levelet, ha nem toltottek ki az url mezot
		if( !$url )
			$this->email->send($email,'smtp');
	//	$this->email->send("sztikee@gmail.com", 'smtp');
		
		$record->osztaly = "palyazat";
		$record->fv = "tszsubmit";
		$record->hiba = $subject."\n".$name."\n".$email."\n".$tel."\n".$message."\n".$_SERVER['REMOTE_ADDR']."\nurl: ".$url;
		$record->datum = date('Y-m-d H:i:s',time());
		$this->db->insert('a_hibak',$record);
		
		$data['title'] = hun() ? 'Jelentkezés' : 'Jelentkezés';
		$data['tartalom'] = 'forum/kiir';
		$data['csik']=array('home');
		
		$data['info'] = "<div style='text-align: center; font-size: 1.3em;'>".lang('contact_elkuldve').lang('kt_kepbekuldutan')."<br /><br /><span style='color: red;'>".$error."</span></div>";
		
		$this->load->view('site',$data);
	}
	
	// szavazás - tervezz szabadon
	function tszszavazas(){
		$idoszak = 2;//(time() < 1384988400) ? 1 : 2;
		
		// december 18-ig
		if( time() < strtotime('2013-12-18') ){
			$dir   = "public/img/tervezzszabadon/{$idoszak}/";
			if($this->uri->segment(3) != ""){
				$kategoria = $this->uri->segment(3);
				switch($kategoria){
					case "amator":
					case "amature":
						$kategoria =  "amator";
						break;
					case "felhasznalo":
					case "user":
						$kategoria =  "felhasznalo";
						break;
				}
				$dir .= $kategoria."/";
			}
			$dirth = $dir."thumbs/";
			$kepek = scandir($dirth);
			unset($kepek[0],$kepek[1]);
			
			$data['javascript'] = array(
									'fancybox/jquery-1.3.2.min',
									'fancybox/jquery.easing.1.3',
									'fancybox/jquery.fancybox-1.2.1.pack',
									'fancybox/fancy',
									'lnkbuilding-hun'
								);
			
			$data['style'] = array('fancybox_gal');
			
			$data['dir']     = $dir;
			$data['kepek']   = $kepek;
			$data['kategoria'] = $kategoria;
			$data['title']   = 'ARCHLine.XP - tervezz szabadon szavazás';
			$data['tartalom']='palyazat/tszszavazas';
			$this->load->view('site_new',$data);
		}
		else{
			print "nincs szavazási időszak";
			return;
		}
	}
	
	// szavazat elküldése - tervezz szabadon
	function tszeredmeny(){
		$t['kep']     = $this->input->post('kep');
		$t['idoszak'] = 2;//(time() < 1384988400) ? 1 : 2;		// 2013. 11. 18. 00:00
		$t['ip']      = $_SERVER['REMOTE_ADDR'];
		$t['datum']   = date('Y-m-d H:i:s',time());
		$t['kategoria'] = $this->input->post('kategoria');
		$t['info']    = print_r($_SERVER,true);
		
		// szavaztak-e mar errol az ip-rol ebben a kategoriaban
		if( $this->input->post('kep')  &&  time()<strtotime('2013-12-17 12:00:00') ){
			$ered = $this->db->query("SELECT count(ip) db FROM tszvoksok WHERE ip='{$t['ip']}' AND kategoria='{$t['kategoria']}'")->row();
			
			if( $ered->db > 0 ){
				$valasz = lang('ek_valhiba');
			}else{
				$valasz = lang('ek_koszonj');
				$this->db->insert('tszvoksok',$t);
			}
		}else
			$valasz = "";
		
		
		$kategoria = $this->uri->segment(3);
		$dir   = "public/img/tervezzszabadon/{$t['idoszak']}/";
		if($kategoria){
			switch($kategoria){
				case "amator":
				case "amature":
					$kategoria =  "amator";
					break;
				case "felhasznalo":
				case "user":
					$kategoria =  "felhasznalo";
					break;
			}
			$dir .= $kategoria."/";
		}
		$dirth = $dir."thumbs/";
		$kepek = scandir($dirth);
		unset($kepek[0],$kepek[1]);
		
		$szavazas = $this->db->query("SELECT kep, count(kep) darab FROM tszvoksok WHERE kategoria='{$kategoria}' GROUP BY kep")->result();
		
		
		if($_SERVER["REMOTE_ADDR"]=="87.242.17.127"){
			//print_r($szavazas);
		}
		
		$data['javascript'] = array('fancybox/jquery-1.3.2.min', 'fancybox/jquery.easing.1.3', 'fancybox/jquery.fancybox-1.2.1.pack', 'fancybox/fancy');
		
		$data['style'] = array('fancybox_gal');
		
		
		$data['kategoria']= $kategoria;
		$data['dir']      = $dir;
		$data['szavazas'] = $szavazas;
		$data['kepek']    = $kepek;
		$data['valasz']   = $valasz;
		$data['title']    = 'ARCHLine.XP - Tervezz szabadon szavazatok állása';
		
		if( true || $_SERVER['REMOTE_ADDR'] == "87.242.17.127" || time()>strtotime("2013-12-18")  )
			$data['tartalom'] = 'palyazat/tszeredmeny';
		else
			$data['tartalom'] = 'palyazat/tszallas';
		$this->load->view('site_new',$data);
	}
	
}